MWProStructuresInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions

| Font ()
| the constructor More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_flags
| some unknown flag More...
int | m_token
| the token type(checkme) More...
int | m_values [5]
| unknown values More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

MWProStructuresInternal::Font::Font | ( |  | ) |

inline

the constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

int MWProStructuresInternal::Font::m_flags

some unknown flag

Referenced by MWProStructures::readFont().

MWAWFont MWProStructuresInternal::Font::m_font

the font

Referenced by MWProStructures::readCharStyles(), MWProStructures::readFont(), MWProStructures::readFontsDef(), MWProStructures::readStyle(), and MWProStructuresListenerState::sendFont().

int MWProStructuresInternal::Font::m_token

the token type(checkme)

Referenced by MWProStructures::readFont().

int MWProStructuresInternal::Font::m_values[5]

unknown values

Referenced by Font(), and MWProStructures::readFont().

The documentation for this struct was generated from the following file:

- MWProStructures.cxx